Endpoint Vulnerability

Disabling scripts in Add-on SDK panels has no effect

Description

Add-on authors Jason Hamilton and Peter Arremann with AMO editor Sylvain Giroux reported a vulnerability when a panel is created using the Add-on SDK in a browser extension. Defining a panel with script: false is supposed to disable script execution but it was found that inline script would still execute. This flaw allows for the potential execution of script content in an extension when it was been explicitly disallowed.

Affected Products

Firefox

References

CVE-2015-7187,